﻿html,
body {
    height: 100%;
    font-family: 'Roboto', sans-serif;
    color: #f5f5f5;
    background-color: black;
}

.bg-pri-light {
    background: #757575
}

.bg-pri-dark {
    background: #212121;
}

.btn:focus, .btn:active {
    outline: none !important;
    box-shadow: none !important;
}

input, textarea {
    outline: none;
    box-shadow: none !important;
    /*border: 1px solid #ccc !important;*/
}

.validation-message {
    color: #DC3547;
    text-align: left;
    margin-top: 5px;
    margin-bottom: 5px;
    font-size:14px;
}

.cytavision-form {
    background-color: black;
    max-width: 658px;
    font-size: 1em;
    overflow: inherit !important;
}


.btn-primary {
    background-color: #8dc63f;
    border-color: #8dc63f;
}

.cytavision-form .btn {
    min-width: 130px;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
    background-color: #7db135;
    border-color: #7db135;
}

.btn-link {
    color: #8dc63f;
}

    .btn-link:hover {
        color: #7db135 !important;
    }

.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
    background-color: #7db135;
}

.custom-control-input:checked ~ .custom-control-label::before {
    background-color: #7db135;
}

.custom-radio input, .custom-radio label {
    cursor: pointer;
}

.captcha-refresh-image {
    cursor: pointer;
}


.bg-primary {
    background-color: #8dc63f !important;
}

.text-primary {
    color: #8dc63f !important;
}

* {
    -webkit-transition: opacity .5s ease;
    -moz-transition: opacity .5s ease;
    -ms-transition: opacity .5s ease;
    -o-transition: opacity .5s ease;
    transition: opacity .5s ease;
}

.cytavision-form .form-control {
    background: 0 0;
    color: #f5f5f5;
    border: 0;
    border-bottom: 1px solid;
    border-radius: 0;
    border-color: #8f8f8e;
}

    .cytavision-form .form-control:active, .cytavision-form .form-control:focus {
        background: 0 0;
        color: #f5f5f5;
        border: 0;
        border-bottom: 1px solid #8dc63f;
        box-shadow: 0 0 0 0.2rem rgba(245,245,245,0);
    }

.cytavision-form .form-group {
    color: rgba(245,245,245,.5);
}

.cytavision-form .form-row {
    color: rgba(245,245,245,.5);
}

.cv-p {
    color: rgba(245,245,245,.5);
    line-height: 1.5em;
}

.md-radio {
    margin: 16px 0;
    overflow: hidden
}

    .md-radio.md-radio-inline {
        display: inline-block
    }

    .md-radio input[type=radio] {
        display: none
    }

        .md-radio input[type=radio]:checked + label:before {
            border-color: #8dc63f;
            animation: ripple .2s linear forwards
        }

        .md-radio input[type=radio]:checked + label:after {
            transform: scale(1)
        }

    .md-radio label {
        display: inline-block;
        height: 30px;
        position: relative;
        padding: 0 30px;
        margin-bottom: 0;
        cursor: pointer;
        vertical-align: bottom
    }

        .md-radio label:after, .md-radio label:before {
            position: absolute;
            content: "";
            border-radius: 50%;
            transition: all .3s ease;
            transition-property: transform,border-color
        }

        .md-radio label:before {
            left: 0;
            top: 2px;
            width: 20px;
            height: 20px;
            border: 2px solid rgba(143,143,142,.54)
        }

        .md-radio label:after {
            top: 7px;
            left: 5px;
            width: 10px;
            height: 10px;
            transform: scale(0);
            background: #8dc63f
        }


::placeholder {
    color: rgba(245,245,245,.5) !important;
    opacity: 1
}

:-ms-input-placeholder {
    color: rgba(245,245,245,.5) !important
}

::-ms-input-placeholder {
    color: rgba(245,245,245,.5) !important
}


/* The container must be positioned relative: */
.cv-select {
    position: relative;
    font-family: Arial;
    width: 100%;
}

    .cv-select select {
        display: none; /*hide original SELECT element: */
    }

.select-selected {
    background: 0 0;
    color: #f5f5f5;
    border: 0;
    border-bottom: 1px solid;
    border-radius: 0;
    border-color: #8f8f8e;
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    height: calc(1.5em + .75rem + 2px);
}

    /* Style the arrow inside the select element: */
    .select-selected:after {
        position: absolute;
        content: "";
        top: 14px;
        right: 10px;
        width: 0;
        height: 0;
        border: 6px solid transparent;
        border-color: #fff transparent transparent transparent;
    }

    /* Point the arrow upwards when the select box is open (active): */
    .select-selected.select-arrow-active:after {
        border-color: transparent transparent #fff transparent;
        top: 7px;
    }

/* style the items (options), including the selected item: */
.select-items div {
    padding: 8px 16px;
    background: #2b2b2b;
    border: 1px solid transparent;
    /*border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;*/
    cursor: pointer;
    color: #f5f5f5;
    font-size: 1rem;
}

/* Style items (options): */
.select-items {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 99;
    max-height: 336px;
    overflow-y:scroll;
}


/* Hide the items when the select box is closed: */
.select-hide {
    display: none;
}

.select-items div:hover, .same-as-selected {
    background: #8dc63f !important;
}


.cytavision-form h3, .cytavision-form h4 {
    border-bottom: 1px solid rgba(245,245,245,.2);
    padding-bottom: .5rem;
    width:100%;
}


.cv-check-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
   
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .cv-check-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 22px;
    width: 22px;
    content: "";
    display: inline-block;
    box-sizing: border-box;
    margin: 3px 11px 3px 1px;
    border: solid 2px;
    border-color: #8f8f8e;
    border-radius: 2px;
    vertical-align: top;
    transition: border-color 0.2s, background-color 0.2s;
}

/* On mouse-over, add a grey background color */
.cv-check-container:hover input ~ .checkmark {
    /*background-color: #ccc;*/
}

/* When the checkbox is checked, add a blue background */
.cv-check-container input:checked ~ .checkmark {
    /*background-color: #8dc63f;*/
    /*border-color: #8dc63f*/
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.cv-check-container input:checked ~ .checkmark:after {
    display: block;
    box-sizing: initial;
}

/* Style the checkmark/indicator */
.cv-check-container .checkmark:after {
    left: 5px;
    top: 1px;
    width: 5px;
    height: 10px;
    border: solid;
    border-color: #8dc63f;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.c-pointer{
    cursor:pointer;
}


input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    color: #f5f5f5;
    -webkit-text-fill-color: #f5f5f5;
    webkit-box-shadow: 0 0 0px 1000px #000 inset;
    transition: background-color 5000s ease-in-out 0s;
}